org.encog.bot.browse.range

## Enum Form.Method

- java.lang.Object
- - java.lang.Enum<Form.Method>
  - - org.encog.bot.browse.range.Form.Method

- All Implemented Interfaces:
    Serializable, Comparable<Form.Method>
  Enclosing class:
    Form

      public static enum Form.Method
      extends Enum<Form.Method>

  The method for this form.
  Author:
    jheaton

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GET` THis form is to sent using a GET.
    `POST` This form is to be POSTed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Form.Method` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Form.Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POST

          public static final Form.Method POST

      This form is to be POSTed.

    - #### GET

          public static final Form.Method GET

      THis form is to sent using a GET.

  - ### Method Detail

    - #### values

          public static Form.Method[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Form.Method c : Form.Method.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Form.Method valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.